Package org.python.core

# Class Pragma.PragmaModule

java.lang.Object
org.python.core.Pragma.PragmaModule

Direct Known Subclasses:
  `Pragma.ForbiddenPragmaModule`

Enclosing interface:
  Pragma

public abstract static class Pragma.PragmaModule extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`final String`
`name`

## Method Summary

Modifier and Type
Method
Description
`abstract Pragma`
`getPragma(String name)`
`abstract Pragma`
`getStarPragma()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### name

public final String name

## Method Details

### getPragma

public abstract Pragma getPragma(String name)

### getStarPragma

public abstract Pragma getStarPragma()